%define name 	gnaural
%define version 1.0.20110606
%define release %mkrel 1

Summary:        A multi-platform programmable binaural-beat generator
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Sound
License:        GPLv2+
URL:            http://gnaural.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel 
BuildRequires: libsndfile-devel 
BuildRequires: %{_lib}glade2.0_0-devel 
BuildRequires:  libportaudio2-devel
BuildRequires:  desktop-file-utils
Requires: jackit
Obsoletes: %name < %version


%description
Gnaural is a multi-platform programmable binaural-beat generator. It
is actually brainwave entrainment software for creating binaural beats
intended to be used as personal brainwave synchronization software,
for scientific research, or by professionals. Gnaural allows for the
creation of binaural beat tracks specifying different frequencies and
exporting tracks into different audio formats. Gnaural runnings can
also be linked over the internet, allowing synchronous sessions
between many users.

%prep
%setup -q -n %{name}-%{version}


%build

%configure2_5x

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

%find_lang %{name}

install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 pixmaps/%{name}-icon.png \
 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/applications

sed -i -e 's|^Categories=.*$|Categories=AudioVideo;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;|g' \
 -e 's|^Encoding=UTF-8$||g' \
 -e 's|^GenericName=Audio binaural beat editor/generator$||g' \
 -e 's|^Icon=.*$|Icon=%{name}|g' \
$RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

desktop-file-install --vendor="" \
   --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
$RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

mv $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Multimedia/%{name}.desktop \
$RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop 



%clean
rm -rf $RPM_BUILD_ROOT



%post
%{update_menus}



%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/pixmaps
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Oct 07 2010 Neal <nealbrks0 at gmail dot com> 1.0.20110606-1pclos2012
- process

* Sat Oct 06 2010 Ken <lxgator@gmail.com> 1.0.20110606-1pclos2012
- 1.0.20110606

* Tue Jan 05 2010 slick50 <lxgator@gmail.com> 1.0.20090808-1pclos2010
- first build
